<!DOCTYPE html>
<html><head>
<title>eric7.Globals.__init__</title>
<meta charset="UTF-8">
<link rel="stylesheet" href="styles.css">
</head>
<body>
<a NAME="top" ID="top"></a>
<h1>eric7.Globals.__init__</h1>
<p>
Module defining common data to be used by all modules.
</p>

<h3>Global Attributes</h3>
<table>
<tr><td>configDir</td></tr>
<tr><td>recentNameBreakpointConditions</td></tr>
<tr><td>recentNameBreakpointFiles</td></tr>
<tr><td>recentNameFiles</td></tr>
<tr><td>recentNameHexFiles</td></tr>
<tr><td>recentNameHosts</td></tr>
<tr><td>recentNameMultiProject</td></tr>
<tr><td>recentNamePdfFiles</td></tr>
<tr><td>recentNameProject</td></tr>
<tr><td>recentNameTestDiscoverHistory</td></tr>
<tr><td>recentNameTestEnvironment</td></tr>
<tr><td>recentNameTestFileHistory</td></tr>
<tr><td>recentNameTestFramework</td></tr>
<tr><td>recentNameTestNameHistory</td></tr>
<tr><td>settingsNameGlobal</td></tr>
<tr><td>settingsNameOrganization</td></tr>
<tr><td>settingsNameRecent</td></tr>
</table>

<h3>Classes</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Functions</h3>
<table>
<tr>
<td><a href="#getConfigDir">getConfigDir</a></td>
<td>Module function to get the name of the directory storing the config data.</td>
</tr>
<tr>
<td><a href="#getInstallInfoFilePath">getInstallInfoFilePath</a></td>
<td>Public method to get the path name of the install info file.</td>
</tr>
<tr>
<td><a href="#getWebBrowserSupport">getWebBrowserSupport</a></td>
<td>Module function to determine the supported web browser variant.</td>
</tr>
<tr>
<td><a href="#setConfigDir">setConfigDir</a></td>
<td>Module function to set the name of the directory storing the config data.</td>
</tr>
</table>

<hr />
<hr />
<a NAME="getConfigDir" ID="getConfigDir"></a>
<h2>getConfigDir</h2>
<b>getConfigDir</b>(<i></i>)
<p>
    Module function to get the name of the directory storing the config data.
</p>

<dl>
<dt>Return:</dt>
<dd>
directory name of the config dir
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
str
</dd>
</dl>
<div align="right"><a href="#top">Up</a></div>
<hr />
<hr />
<a NAME="getInstallInfoFilePath" ID="getInstallInfoFilePath"></a>
<h2>getInstallInfoFilePath</h2>
<b>getInstallInfoFilePath</b>(<i></i>)
<p>
    Public method to get the path name of the install info file.
</p>

<dl>
<dt>Return:</dt>
<dd>
file path of the install info file
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
str
</dd>
</dl>
<div align="right"><a href="#top">Up</a></div>
<hr />
<hr />
<a NAME="getWebBrowserSupport" ID="getWebBrowserSupport"></a>
<h2>getWebBrowserSupport</h2>
<b>getWebBrowserSupport</b>(<i></i>)
<p>
    Module function to determine the supported web browser variant.
</p>

<dl>
<dt>Return:</dt>
<dd>
string indicating the supported web browser variant ("QtWebEngine",
        or "None")
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
str
</dd>
</dl>
<div align="right"><a href="#top">Up</a></div>
<hr />
<hr />
<a NAME="setConfigDir" ID="setConfigDir"></a>
<h2>setConfigDir</h2>
<b>setConfigDir</b>(<i>d</i>)
<p>
    Module function to set the name of the directory storing the config data.
</p>

<dl>

<dt><i>d</i> (str)</dt>
<dd>
name of an existing directory
</dd>
</dl>
<div align="right"><a href="#top">Up</a></div>
<hr />
</body></html>
